package org.xyzh.common.vo;

import org.xyzh.common.dto.BaseDTO;
import org.xyzh.common.dto.resource.TbResourceTag;
import org.xyzh.common.dto.resource.TbTag;

/**
 * @description 标签VO
 * @filename TagVO.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TagVO extends BaseDTO {
    private static final long serialVersionUID = 1L;

    /**
     * @description 资源ID
     */
    private String resourceID;
    
    /**
     * @description 标签ID
     */
    private String tagID;

    private String tagName;

    private String tagColor;
    
    /**
     * @description 创建者
     */
    private String creator;

    public String getResourceID() {
        return resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagColor() {
        return tagColor;
    }

    public void setTagColor(String tagColor) {
        this.tagColor = tagColor;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public TbResourceTag getResourceTag() {
        TbResourceTag resourceTag = new TbResourceTag();
        resourceTag.setResourceID(resourceID);
        resourceTag.setTagID(tagID);
        return resourceTag;
    }
    public TbTag getTag() {
        TbTag tag = new TbTag();
        tag.setID(tagID);
        tag.setName(tagName);
        tag.setColor(tagColor);
        return tag;
    }
}
